- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_ConditionalSelectAttributeCase;'
    index: 13041
    name: Conditional Select Attribute Case
    customTagName: conditionalSelectAttributeCase
    registerForTemplate: yes
    superclasses:
    - '&IDC_ConditionalEvaluationCase;'
    defaultTask: '&IDI_Task_ViewConditionalSelectAttributeCase;'
    relatedTasks:
    - instance: '&IDI_Task_ViewConditionalSelectAttributeCase;'
    - instance: '&IDI_Task_EditConditionalSelectAttributeCase;'
    attributes:
    - instance: '&IDA_UseAnyCondition;'
      customTagName: 'useAnyCondition'
    - instance: '&IDA_Comment;'
      customTagName: 'comment'
    relationships:
    - instance: '&IDR_Condition_Group__has_true_condition__Executable_returning_Work_Data;'
      customTagName: trueConditions
    - instance: '&IDR_Condition_Group__has_false_condition__Executable_returning_Work_Data;'
      customTagName: falseConditions
    - instance: '&IDR_Conditional_Select_Attribute_Case__invokes__Executable_returning_Attribute;'
      customTagName: returnsAttributeId

  - relationship: '&IDR_Condition_Group__has_true_condition__Executable_returning_Work_Data;'
    index: 171
    sourceClassId: '&IDC_ConditionGroup;'
    type: 'has true condition'
    destinationClassId: '&IDC_ExecutableReturningWorkData;'
    siblingRelationshipId: '&IDR_Executable_returning_Work_Data__true_condition_for__Condition_Group;'
    singular: no
  - relationship: '&IDR_Executable_returning_Work_Data__true_condition_for__Condition_Group;'
    index: 172
    sourceClassId: '&IDC_ExecutableReturningWorkData;'
    type: 'true condition for'
    destinationClassId: '&IDC_ConditionGroup;'
    siblingRelationshipId: '&IDR_Condition_Group__has_true_condition__Executable_returning_Work_Data;'
    singular: no
  - relationship: '&IDR_Condition_Group__has_false_condition__Executable_returning_Work_Data;'
    index: 175
    sourceClassId: '&IDC_ConditionGroup;'
    type: 'has false condition'
    destinationClassId: '&IDC_ExecutableReturningWorkData;'
    siblingRelationshipId: '&IDR_Executable_returning_Work_Data__false_condition_for__Condition_Group;'
    singular: no
  - relationship: '&IDR_Executable_returning_Work_Data__false_condition_for__Condition_Group;'
    index: 176
    sourceClassId: '&IDC_ExecutableReturningWorkData;'
    type: 'false condition for'
    destinationClassId: '&IDC_ConditionGroup;'
    siblingRelationshipId: '&IDR_Condition_Group__has_false_condition__Executable_returning_Work_Data;'
    singular: no

  - relationship: '&IDR_Conditional_Select_Attribute_Case__invokes__Executable_returning_Attribute;'
    index: 37629
    sourceClassId: '&IDC_ConditionalSelectAttributeCase;'
    type: 'invokes'
    destinationClassId: '&IDC_ExecutableReturningAttribute;'
    siblingRelationshipId: '&IDR_Executable_returning_Attribute__invoked_by__Conditional_Select_Attribute_Case;'
    singular: yes

  - relationship: '&IDR_Executable_returning_Attribute__invoked_by__Conditional_Select_Attribute_Case;'
    index: 37630
    sourceClassId: '&IDC_ExecutableReturningAttribute;'
    type: 'invoked by'
    destinationClassId: '&IDC_ConditionalSelectAttributeMethod;'
    siblingRelationshipId: '&IDR_Conditional_Select_Attribute_Case__invokes__Executable_returning_Attribute;'
    singular: no
